---
layout: markdown_page
title: "Reliability Engineering"
---

## On this page

- TOC
{:toc}

## Common Links

| **Workflow** | [**How may we be of service?**](../production/#workflow--how-we-work) | **GitLab.com Status** | [**`STATUS`**](https://status.gitlab.com/)
| **Issue Trackers** | [**Infrastructure**](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues/): [Milestones](https://gitlab.com/gitlab-com/gl-infra/infrastructure/milestones), [OnCall](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=oncall) | [**Production**](https://gitlab.com/gitlab-com/gl-infra/production/issues/): [Incidents](https://gitlab.com/gitlab-com/gl-infra/production/issues?label_name%5B%5D=incident), [Changes](https://gitlab.com/gitlab-com/gl-infra/production/issues?label_name%5B%5D=change), [Deltas](https://gitlab.com/gitlab-com/gl-infra/production/issues?label_name%5B%5D=delta)  | [**Delivery**](https://gitlab.com/gitlab-org/release/framework/issues)
| **Slack Channels** | [#sre-lounge](https://gitlab.slack.com/archives/sre-lounge), [#database](https://gitlab.slack.com/archives/database) | [#alerts](https://gitlab.slack.com/archives/alerts), [#production](https://gitlab.slack.com/archives/production) | [#g_delivery](https://gitlab.slack.com/archives/g_delivery)
| **Operations** | [Runbooks](https://gitlab.com/gitlab-com/runbooks) (please contribute!) | **On-call**: [Handover Document](https://docs.google.com/document/d/1IrTi06fUMgxqDCDRD4-e7SJNPvxhFML22jf-3pdz_TI), [Reports](https://gitlab.com/gitlab-com/gl-infra/infrastructure/issues?scope=all&utf8=%E2%9C%93&state=closed&label_name[]=oncall%20report) |

## Mission

**Reliability Engineering** teams are the gatekeepers and primary caretakers of the operational 
environment hosting all of GitLab's user-facing services (most notably **GitLab.com**), focusing on
their availability, performance and scalability through reliability considerations.

## Vision

Reliability Engineering team are composed of [DBRE](/job-families/engineering/database-reliability-engineer/)s and [SRE](/job-families/engineering/site-reliability-engineer/)s. As the role titles indicate, they have different areas of specialty but focus on the reliability of the environment as the unifying goal.

Reliability Engineering teams own the following operational processes:

* [**change management**](/handbook/engineering/infrastructure/change-management/)
* [**incident management**](/handbook/engineering/infrastructure/incident-management/)
* [**delta management**](/handbook/engineering/infrastructure/delta-management/)

The teams' overarching goal with respect to these processes is to outdate them through automation.

#### Key Metrics

Key metrics related to this group include:

* **Uptime**: of the operational environment at large and of services, subsystems and components.
* **Incidents**: alerts (including false positives), count, length (elapsed time), outages, escalations
* **Deployments**: count, length (elapsed time), “good” vs “bad”
* **Efficiencies**: manual vs automated tasks, (unexpected) interrupts

## Team

Each member of the Site Reliability Team is part of this vision:

* Each team member is able to work on all team projects
* The team is able to reach a conclusion independently all the time, consensus most of the time
* Career development paths are clear
* Team creates a database of knowledge through documentation, training sessions and outreach

### Team Members

The following people are members of the Reliability Engineering Teams:

<%= direct_team(manager_role: 'Engineering Manager, Reliability Engineering (AS)')%>
<%= direct_team(manager_role: 'Engineering Manager, Reliability Engineering (DS)')%>
<%= direct_team(manager_role: 'Engineering Manager, Reliability Engineering (JF)')%>
